summaryrefslogtreecommitdiff
path: root/libc/posix/wordexp-tst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libc/posix/wordexp-tst.sh')
-rwxr-xr-xlibc/posix/wordexp-tst.sh21
1 files changed, 20 insertions, 1 deletions
diff --git a/libc/posix/wordexp-tst.sh b/libc/posix/wordexp-tst.sh
index c6de4f8fb..55116aa4a 100755
--- a/libc/posix/wordexp-tst.sh
+++ b/libc/posix/wordexp-tst.sh
@@ -1,4 +1,23 @@
-#!/bin/sh
+#! /bin/sh
+# Test for wordexp(3).
+# Copyright (C) 1998-2012 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+
+# You should have received a copy of the GNU Lesser General Public
+# License along with the GNU C Library; if not, see
+# <http://www.gnu.org/licenses/>.
+
+set -e
# Some of these tests may look a little weird.
# The first parameter to wordexp-test is what it gives to wordexp.